NSX-T Data Center REST API

Get tag attachments

Get tag attachments

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/categories/{category-id}/tags/{tag-id}/attachments
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/categories/{category-id}/tags/{tag-id}/attachments
Request Headers:
n/a
Query Parameters:
TagAttachmentRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/tag//attachments ### for particalar resource type GET https://<policy-mgr>/policy/api/v1/infra/tag//attachments?resource_type=VIRTUAL_MACHINE

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
TagAttachmentResponse+

Example Response:

{ "attached_to": [ { "resource_type": "VIRTUAL_MACHINE", "resource_ids": [ "vm1", "vm3" ] }, { "resource_type": "SEGMENT", "resource_ids": [ "seg1", "seg3" ] } ], "tag_path": "/infra/tag/tag1", "marked_for_delete": false, "overridden": false, "_protection": "NOT_PROTECTED" }

Required Permissions:

read

Feature:

policy_vm_vm_tags

Additional Errors: